Attribute VB_Name = "PerformanceCounter"
' High ( microsecond ) resolution timing.

Public Declare Function QueryPerformanceFrequency Lib "kernel32" (lpFrequency As Currency) As Long
Public Declare Function QueryPerformanceCounter Lib "kernel32" (lpPerformanceCount As Currency) As Long


Dim curFrequency As Currency
Dim curCount As Currency
Dim curDelay As Currency
Dim curEndCount As Currency


'ChkPerformanceCounter : Check if the machine has a performance counter ( most likely on machines later than 386 ).

Function ChkPerformanceCounter() As Boolean


  If QueryPerformanceFrequency(curFrequency) = 0 Then
    ChkPerformanceCounter = False
  Else
    ChkPerformanceCounter = True
  End If

End Function


'Wait : Wait!

'Params :-
'dblDelay : Delay in seconds.

Sub Wait(dblDelay As Double)
    
    QueryPerformanceCounter curCount
    curEndCount = curCount + curFrequency * dblDelay
    While (curEndCount > curCount)
        QueryPerformanceCounter curCount
    Wend

End Sub

